textures/hangtime3_textures/ht3_stage_1
{
	qer_editorimage env/ht3_stage_1/badlands_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50
        q3map_sunExt 1.00 0.80 0.60 40 0 40
	skyparms env/ht3_stage_1/badlands - -
}

textures/hangtime3_textures/ht3_stage_2
{
	qer_editorimage env/ht3_stage_2/day-at-the-beach_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
        q3map_sunExt 0.266383 0.274632 0.358662 26 170 87
	skyparms env/ht3_stage_2/day-at-the-beach - -
}

textures/hangtime3_textures/ht3_stage_3
{
	qer_editorimage env/ht3_stage_3/devils_advocate_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
        q3map_sunExt 1 1 0.5 22 30 65
	skyparms env/ht3_stage_3/devils_advocate - -
}

textures/hangtime3_textures/ht3_stage_4
{
	qer_editorimage env/ht3_stage_4/emeraldfog_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100
        q3map_sunExt .7 .7 0.5 0 180 70
	skyparms env/ht3_stage_4/emeraldfog - -
}

textures/hangtime3_textures/ht3_stage_5
{
	qer_editorimage env/ht3_stage_5/bluefreeze_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 50
	surfaceparm sky
	q3map_sun 1 1 1 0 240 40
	skyparms env/ht3_stage_5/bluefreeze - -
}

textures/hangtime3_textures/ht3_stage_6
{
	qer_editorimage env/ht3_stage_6/cwd_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
        q3map_sunExt .7 .7 0.5 24 210 40
	q3map_surfacelight 100
	skyparms env/ht3_stage_6/cwd - -
}

textures/hangtime3_textures/ht3_neutral
{
	qer_editorimage env/ht3_neutral/jajsundown1_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
        q3map_sunExt .7 .7 0.5 0 210 40
	q3map_surfacelight 100
	skyparms env/ht3_neutral/jajsundown1 - -
}

textures/hangtime3_textures/super_rain
{
	qer_editorimage textures/hangtime3_textures/super_rain.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
        deformVertexes move 1 1 0  sin 0 5 0 0.2
        deformVertexes move .6 1 0  sin 0 5 0 0.4
        deformVertexes wave 30 sin 0 10 0 .2
	cull none
       
	{
		map textures/hangtime3_textures/super_rain.tga
                tcMod Scroll .5 -8
                //tcMod turb 1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/hangtime3_textures/super_rain.tga
                tcMod Scroll .01 -6.3
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/hangtime3_textures/reflect_blue1
{
	qer_editorimage textures/hangtime3_textures/blue1.jpg
	{
       	map textures/hangtime3_textures/blue1.jpg
	}
	{
       	map textures/hangtime3_textures/reflect_dark.tga
       	tcGen environment
         	blendfunc add
          	rgbGen identity
 	}
 	{
		map $lightmap
        	blendFunc filter
		rgbGen identity
	}
}

textures/hangtime3_textures/reflect_red_deep
{
	qer_editorimage textures/hangtime3_textures/redwood.jpg
	{
       	map textures/hangtime3_textures/redwood.jpg
	}
	{
       	map textures/hangtime3_textures/reflect_dark.tga
       	tcGen environment
         	blendfunc add
          	rgbGen identity
 	}
 	{
		map $lightmap
        	blendFunc filter
		rgbGen identity
	}
}

textures/hangtime3_textures/reflect_weirdpurple
{
	qer_editorimage textures/hangtime3_textures/darkishpurpy.jpg
	{
       	        map textures/hangtime3_textures/darkishpurpy.jpg
                tcMod scale .3 .3
	}
	{
       	        map textures/hangtime3_textures/reflect_not_so_dark.tga
       	        tcGen environment
         	blendfunc add
          	rgbGen identity
 	}
 	{
		map $lightmap
        	blendFunc filter
		rgbGen identity
	}
}

textures/hangtime3_textures/zap_scroll_no_light
{
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/sfx/zap_scroll.tga
	qer_editorimage textures/sfx/zap_scroll2.tga
	cull none
	
	{
		map textures/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

textures/hangtime3_textures/blue_flare
{
	qer_editorimage textures/hangtime3_textures/blue_flare.tga
	cull none
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 100
	deformVertexes autosprite
	{
		map textures/hangtime3_textures/blue_flare.tga
		blendfunc add
		rgbGen identity
	}
}

textures/hangtime3_textures/fireflare
{
	qer_editorimage textures/hangtime3_textures/fireflare.tga
	
	deformVertexes autoSprite
        surfaceparm trans
        q3map_surfacelight 50
        surfaceparm nomarks
      	surfaceparm nolightmap
	cull none
              {
		map textures/hangtime3_textures/fireflare.tga
                blendFunc add
              }
}

textures/hangtime3_textures/xmetalfloor_wall_5b_ht3
{
	qer_editorimage textures/sfx/metalfloor_wall_5b.tga

	{
		map textures/sfx/metalfloor_wall_7b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_5bglowblu.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .4 0 .2	
	}
}

textures/hangtime3_textures/xmetalfloor_wall_14b_ht3
{
	qer_editorimage textures/sfx/metalfloor_wall_14b.tga
	q3map_lightimage textures/sfx/metalfloor_wall_14bglow2.tga
	{
		map textures/sfx/metalfloor_wall_14b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/metalfloor_wall_14bglow2.tga
		blendfunc gl_one gl_one
	}
}

textures/hangtime3_textures/reflect_black1
{
	qer_editorimage textures/hangtime3_textures/black4.jpg
	{
       	map textures/hangtime3_textures/black4.jpg
	}
	{
       	map textures/hangtime3_textures/reflect.tga
       	tcGen environment
         	blendfunc add
          	rgbGen identity
 	}
 	{
		map $lightmap
        	blendFunc filter
		rgbGen identity
	}
}

textures/hangtime3_textures/reflect_deeppurple
{
	qer_editorimage textures/hangtime3_textures/darkishpurp.jpg
	{
       	map textures/hangtime3_textures/darkishpurp.jpg
	}
	{
       	map textures/hangtime3_textures/reflect_dark.tga
       	tcGen environment
         	blendfunc add
          	rgbGen identity
          tcMod scale 2 2
 	}
 	{
		map $lightmap
        	blendFunc filter
		rgbGen identity
	}
}

textures/hangtime3_textures/standardpurpleglass
{
	qer_editorimage textures/hangtime3_textures/big_purple.jpg
        surfaceparm trans	
        surfaceparm nolightmap 
	cull none
	qer_trans 	0.65
     
        {
		map textures/hangtime3_textures/big_purple.jpg
           tcmod scale .1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
          
}

textures/hangtime3_textures/greentranslight
{
	qer_editorimage textures/hangtime3_textures/green.jpg 
        surfaceparm trans 
        cull disable 
        qer_trans 1
	
	q3map_surfacelight 750
	{
                map textures/hangtime3_textures/green.jpg 
                blendfunc blend
                alphaGen const 0.245
        }
}

textures/hangtime3_textures/fuchsialight
{
	qer_editorimage textures/hangtime3_textures/fuchsia.jpg 
        surfaceparm trans 
        cull disable 
        qer_trans 1
	
	q3map_surfacelight 750
	{
                map textures/hangtime3_textures/fuchsia.jpg 
                blendfunc blend
                alphaGen const 0.745
        }
}

textures/hangtime3_textures/beam_blue
{
        qer_editorimage textures/hangtime3_textures/beam_blue4.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/hangtime3_textures/beam_blue4.tga
		tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/hangtime3_textures/beam_purple1
{
        qer_editorimage textures/hangtime3_textures/beam_purple.jpg
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/hangtime3_textures/beam_purple.jpg
		tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/hangtime3_textures/beam_purple2
{
        qer_editorimage textures/hangtime3_textures/beam_purple.jpg
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/hangtime3_textures/beam_purple.jpg
		tcMod Scroll 0 0
                blendFunc add
        }
     
}

textures/hangtime3_textures/beam_red
{
	qer_editorimage textures/hangtime3_textures/beam_red.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	{
		map textures/hangtime3_textures/beam_red.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/hangtime3_textures/lavad3
{
	qer_editorimage textures/hangtime3_textures/lavad3.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	cull disable
	deformVertexes wave 100 sin 3 2 0.1 0.1 
	tessSize 128
	q3map_surfacelight 550
	q3map_globaltexture
	{
		map textures/hangtime3_textures/lavad3.tga
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0 0
		tcMod turb 0.1 0.1 0.01 0.01
	}
}

textures/hangtime3_textures/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/hangtime3_textures/beam.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/hangtime3_textures/beam_waterlight2
{
        qer_editorimage textures/hangtime3_textures/beam_waterlight.tga
	q3map_globaltexture
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
        qer_trans 0.6
	cull none
	{
		map textures/hangtime3_textures/beam_waterlight.tga
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
                blendFunc add
        }

}

textures/hangtime3_textures/rain
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
        deformVertexes move 3 1 0  sin 0 5 0 0.2
        deformVertexes move .6 3.3 0  sin 0 5 0 0.4
        deformVertexes wave 30 sin 0 10 0 .2
	cull none
       
	{
		map textures/hangtime3_textures/rain.tga
                tcMod Scroll .5 -8
                tcMod turb .1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/hangtime3_textures/rain.tga
                tcMod Scroll .01 -6.3
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}


textures/hangtime3_textures/little_blue
{
	qer_editorimage textures/base_light/ceil1_30.tga
	surfaceparm nomarks
	q3map_surfacelight 6500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/hangtime3_textures/little_green
{
	qer_editorimage textures/base_light/ceil1_34.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_34.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}